Rygel.MediaContainer.find_object – librygel-server Reference Manual

# find_object

## Description:

public abstract async MediaObject? find_object (string id, Cancellable? cancellable) throws Error

Recursively searches this container for a media object with the given ID.

## Parameters:

id | ID of the media object to search for
cancellable | optional cancellable for this operation

## Returns:

the found media object.